Subject: Stateful/Stateless proxies

From: Shail Bhatnagar <[email-masked]>
Date: Wed, 01 Mar 2000 19:14:14 -0500

As per the FAQ on Henning's page - a stateless proxy cannot fork. However it
will still try to find out the next hop based on some location service . So,
what should the stateless proxy do if the location service returns more than 
one contact point  - 
    * Send request  to only one
    * Send to all 

Thanks,
Shail

---

From: Igor Slepchin <[email-masked]>
Date: Thu, 02 Mar 2000 00:21:02 -0500

As was noted several times on this list, stateful or stateless are
logical entities, not physical proxy servers. A single physical proxy
may act as stateless in some situations and as stateful in others.

To answer your question, the proxy has several options in the case you
describe: it can act stateful, it can choose the location with the
highest q value, a random location, etc. Note that a proxy cannot fork,
do sequential search on contacts or return a redirect response if it
wants to remain stateless.

---
Igor Slepchin